Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - APIDocumentationPages

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

API Documentation Pages

Documentation pages for APIs.

Get API documentation page

Return a single API documentation page. Its immediate children are also returned, but not their children.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

query Parameters
name
string

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Update API documentation page

Update an API documentation page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
aiGenerated
required
boolean

Whether the page content was generated by AI.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Request samples

Content type
application/json
{
  • "name": "string",
  • "isPublic": true,
  • "aiGenerated": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "defaultPage": true
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Delete API documentation page

Delete an API documentation page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get API documentation page content

Get raw content of an API documentation page. Not available for folders!

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/octet-stream
string <binary>

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Write API documentation page content

Write content of an API documentation page. Existing content is overwritten. This only works if the page is not a folder and is not read-only.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: multipart/form-data
file
required
string <binary>

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List API documentation pages as tree

Get all documentation pages for an API. Returns all root pages and all of their children, recursively.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
Array
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Response samples

Content type
application/json
[
  • {
    • "name": "string",
    • "type": "FOLDER",
    • "isPublic": true,
    • "aiGenerated": true,
    • "readOnly": true,
    • "contentReadOnly": true,
    • "defaultPage": true,
    • "gitConfig": {
      },
    • "aiGenerationDetails": {
      },
    • "children": [
      ],
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]

Create API documentation page

Create a new API documentation page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
aiGenerated
required
boolean

Whether the page content was generated by AI.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

parent
string <uuid>

UUID of the parent page, or null for top-level pages.

object (DocPageGitConfig)

Git source configuration, required when type is GIT.

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Request samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "parent": "42e2bc1b-6741-4e2e-b138-97b4a342c999",
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "isPublic": true,
  • "aiGenerated": true,
  • "defaultPage": true
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Start AI documentation generation

Begin AI document generation for this documentation page. The process will be continue in background. On success, the AI generated document will be appended to the content of this page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
documentType
required
string
Enum: "business_overview" "technical_summary" "technical_detailed"

Type of AI-generated document to produce.

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Request samples

Content type
application/json
{
  • "documentType": "technical_summary"
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Fetch external API documentation page

Fetch children or content for an external API documentation page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Fetch external API documentation page asynchronously

Asynchronously fetch children or content for an external API documentation page.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Clear AI documentation generation status

Reset AI document generation status. If current status is error, the status is simply cleared (i.e. the error is dismissed). If status is in-progress, the generation process is canceled.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

List root API documentation pages

Get all root documentation pages for an API. Does not return their children.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
Array
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Response samples

Content type
application/json
[
  • {
    • "name": "string",
    • "type": "FOLDER",
    • "isPublic": true,
    • "aiGenerated": true,
    • "readOnly": true,
    • "contentReadOnly": true,
    • "defaultPage": true,
    • "gitConfig": {
      },
    • "aiGenerationDetails": {
      },
    • "children": [
      ],
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]

Get default API documentation page

Get default documentation page for an API - assuming that a default page exists and is published.

Authorizations:
bearerAuth
path Parameters
apiId
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
aiGenerated
required
boolean

Whether the page content was generated by AI.

contentReadOnly
required
boolean

Whether the page content is read-only while metadata can still be edited.

defaultPage
required
boolean

Whether this is the portal's default landing page.

isPublic
required
boolean

Whether the page is visible to unauthenticated portal visitors.

name
required
string

Display name of the documentation page.

readOnly
required
boolean

Whether the page is read-only (e.g. synced from git).

type
required
string
Enum: "FOLDER" "MARKDOWN" "HTML"

Type of the page: MARKDOWN, FOLDER, or GIT.

object (DocPageGitConfig)

Git source configuration for GIT-type pages.

object (AiDocGenerationStatusDetails)

Status details if this page has an active AI generation job.

children
Array of objects (DocPageDTO)

Child pages, populated when fetching the page tree.

id
string <uuid>

UUID of the documentation page.

Response samples

Content type
application/json
{
  • "name": "string",
  • "type": "FOLDER",
  • "isPublic": true,
  • "aiGenerated": true,
  • "readOnly": true,
  • "contentReadOnly": true,
  • "defaultPage": true,
  • "gitConfig": {
    • "url": "string",
    • "credential": "256a1dc1-988b-49a4-9530-89f205862fb6",
    • "branch": "string",
    • "path": "string",
    • "fetchInterval": "NEVER"
    },
  • "aiGenerationDetails": {
    • "aiGenProcessId": "string",
    • "aiGenDocType": "business_overview",
    • "aiGenStatus": "IN_PROGRESS",
    • "aiGenStartedAt": "2019-08-24T14:15:22Z",
    • "aiGenEstimatedTime": 0,
    • "aiGenCompletedPercentage": 0,
    • "aiGenError": "string"
    },
  • "children": [
    • { }
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}